Get a payout bank account
curl --request GET \
--url https://api.venlyfinance.com/v1/parties/{partyId}/payout-bank-accounts/{payoutBankAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venlyfinance.com/v1/parties/{partyId}/payout-bank-accounts/{payoutBankAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venlyfinance.com/v1/parties/{partyId}/payout-bank-accounts/{payoutBankAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rail": "US_ACH",
"fiatCurrency": "<string>",
"label": "<string>",
"accountHolderName": "<string>",
"details": {
"accountNumberLast4": "9012",
"abaRoutingNumber": "021000021",
"accountType": "CHECKING"
},
"bankName": "<string>",
"bankAddress": {
"street1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "US"
},
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"errors": [
{
"code": "unauthenticated",
"message": "Please authenticate to perform this action."
}
]
}{
"success": false,
"errors": [
{
"code": "invalid-request",
"message": "The request contains invalid parameters."
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": "invalid-request",
"message": "The request contains invalid parameters."
}
],
"result": {}
}Payout Bank Accounts
Get a payout bank account
Retrieve a single allow-listed pay-out destination.
GET
/
parties
/
{partyId}
/
payout-bank-accounts
/
{payoutBankAccountId}
Get a payout bank account
Requires scope:
manage:pay-outs — see Required scopes.
Returns a single payout bank account. The account number is masked to the last 4 digits — the full number is never retrievable through the API.Authorizations
OAuth2 client credentials flow. Token endpoints:
Path Parameters
Unique party identifier
Unique payout bank account identifier
Was this page helpful?

